<script>
import ComponentMenu from "@/components/menu.vue";
import ComponentAdmin from "@/components/admin.vue";
import ComponentChart from "@/components/chart.vue";

export default {
  components: {
    ComponentMenu,
    ComponentAdmin,
    ComponentChart
  },
  data: () => ({
    drawer: null,
    activeBtn: 1,
    bottomNav: "1"
  })
};
</script>

<template>
  <div style="overflow-y: hidden;">
    <ComponentMenu style="height: 92vh">
      <template v-slot:contenido v-if="this.bottomNav == 1">
        <ComponentAdmin />
      </template>
      <template v-slot:contenido v-else-if="this.bottomNav == 2">
        <ComponentChart />
      </template>
    </ComponentMenu>

    <v-bottom-navigation
      darken
      shift
      v-model="bottomNav"
      :value="activeBtn"
      color="white"
      style="color: white"
      height="8vh"
      background-color="#1B396A"
    >
      <v-btn small value="1">
        <span>Solicitudes</span>
        <v-icon small style="color: white">fa-tasks</v-icon>
      </v-btn>

      <v-btn small value="2">
        <span>Estadísticas</span>
        <v-icon small style="color: white">fa-chart-pie</v-icon>
      </v-btn>
    </v-bottom-navigation>
  </div>
</template>
